# Copyright 2014, 2016, 2019, 2021 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

l10n(){
  local word
  [ $# -eq 0 ] && read -r word || word="$*"
  case $word in
    newcard) printf %s "Neuen Eintrag anlegen";;

    X-HEALTH-INSURANCE) printf %s "Kran&shy;ken&shy;ver&shy;sich&shy;er&shy;ung";;
    hi_from_list) printf %s "Aus Liste";;
    hi_other) printf %s "Andere";;
    hi_company) printf %s "Ver&shy;sich&shy;er&shy;ungs&shy;ge&shy;sell&shy;schaft";;
    hi_number) printf %s "Ver&shy;sich&shy;er&shy;ten&shy;num&shy;mer";;
    hi_status) printf %s "Ver&shy;sich&shy;er&shy;ten&shy;sta&shy;tus";;
    X-HEALTH-INSURANCE-NOCONTRIB) printf %s "Zu&shy;zahl&shy;ungs&shy;be&shy;frei&shy;ung";;
    X-CLIENT-REFERRAL) printf %s "Empfehl&shy;ung durch";;
    prescriptions) printf %s "Verord&shy;nungen";;
    new_prescription) printf %s "Neue Verord&shy;nung";;
    no_icd) printf %s "Kein ICD Code";;
  
    X-ZACK-JOINDATE)  printf %s "Anmelde&shy;datum";;
    X-ZACK-LEAVEDATE) printf %s "Abmelde&shy;datum";;
    X-ZACK-JOINDATE_short)  printf %s "Anm.";;
    X-ZACK-LEAVEDATE_short) printf %s "Abm.";;

    *) l10n_global "$word";;
  esac
}

# BEGIN) printf %s "";;
# CALADRURI) printf %s "";;
# CALURI) printf %s "";;
# CLASS) printf %s "";;
# CLIENTPIDMAP) printf %s "";;
# END) printf %s "";;
# FBURL) printf %s "";;
# GEO) printf %s "";;
# MAILER) printf %s "";;
# NAME) printf %s "";;
# PRODID) printf %s "";;
# PROFILE) printf %s "";;
# REV) printf %s "";;
# SORT-STRING) printf %s "";;
# SOURCE) printf %s "";;
# TZ) printf %s "";;
# UID) printf %s "";;
# VERSION) printf %s "";;
# XML) printf %s "";;
